> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/get-started/quickstart-process/provision-your-first-device.md).

# 첫 번째 기기 프로비저닝

## 개요

이 튜토리얼에서는 디바이스를 빠르게 프로비저닝하기 위해 명령줄과 UI 단계를 함께 사용합니다. 모든 프로비저닝 방법에 대한 포괄적인 내용은 다음 문서를 참조하세요:  [디바이스 프로비저닝 시작](/ko/guardian/understand-device-provisioning/begin-device-provisioning.md). 이 문서에서는 명령줄, UI 및 API를 이용한 방법을 자세히 설명합니다.

### 사전 요구 사항

다음 항목이 있는지 확인하세요:

* Guardian Cloud 계정
* 시스템용 프로비저닝 패키지
* 테스트 디바이스 또는 mcguard\_provision 유틸리티
* 기본 디바이스 정보(구성 요소 이름, 시스템 ID, 하드웨어 ID)

### 프로비저닝 단계

<details>

<summary>1단계: 프로비저닝 요청 생성(명령줄)</summary>

디바이스에서 또는 mcguard\_provision을 사용하여 다음 명령을 실행합니다:

```bash
# 오프라인으로 프로비저닝 요청 생성
./mcguard_provision \
  --mode provision \
  --component test_component \
  --system test_system \
  --hardware-id test_device_001 \
  --offline \
  /path/to/initial/provisioning/profile
```

이 명령은 두 개의 파일을 생성합니다:

* `test_component_test_system_test_device_001.mcpr` (업로드 가능)
* `test_component_test_system_test_device_001.mcpi` (안전하게 보관하고 절대 업로드하지 마세요)

</details>

<details>

<summary>2단계: Guardian Cloud에 프로비저닝 요청 업로드</summary>

1. 다음에 로그인합니다:  **Guardian Cloud**
2. 사이드바에서  **Provisioning**  항목을 클릭합니다.
3. 다음 버튼을 클릭합니다:  **Upload provisioning request** .
4. 프로비저닝 요청  `.mcpr`  파일을 선택합니다.
5. 표시된 디바이스 정보를 확인합니다.
6. 다음 버튼을 클릭합니다:  **Submit.**

</details>

<details>

<summary>3단계: 인증된 프로필 다운로드</summary>

1. 처리가 완료될 때까지 기다립니다(일반적으로 1\~2분 소요).
2. 대시보드에서 상태를 확인합니다.
3. 준비가 완료되면 .mcp 파일을 다운로드합니다.
4. .mcp 파일을 디바이스로 다시 전송합니다.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/get-started/quickstart-process/provision-your-first-device.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
